import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.labels.update({
inboxId: 'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
labelId: '7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34',
color: 'orange',
});
curl -X PATCH 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1/labels/7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"color": "orange"
}'
resend inboxes labels update \
--inbox_id b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 \
--label_id 7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34 \
--color orange
{
"object": "inbox_label",
"id": "7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34"
}
Update Label
Rename or recolor an existing label.
PATCH
/
inboxes
/
:inbox_id
/
labels
/
:label_id
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.labels.update({
inboxId: 'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
labelId: '7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34',
color: 'orange',
});
curl -X PATCH 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1/labels/7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"color": "orange"
}'
resend inboxes labels update \
--inbox_id b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 \
--label_id 7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34 \
--color orange
{
"object": "inbox_label",
"id": "7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34"
}
Inboxes are currently in private beta and only available to a limited
number of users. The response shape might change before GA. Get in
touch if you’re interested in testing this
feature.Once you have access, upgrade your Resend SDK to use the methods on this
page:
npm install resend@6.28.1-preview-inboxes.1
npm install -g resend-cli@2.22.0-preview-inboxes.1
Path Parameters
Body Parameters
string
A new name for the label.
string
The color of the label:
cyan, teal, grass, lime, yellow, orange,
iris, plum, crimson, bronze, or mauve.import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.labels.update({
inboxId: 'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
labelId: '7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34',
color: 'orange',
});
curl -X PATCH 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1/labels/7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"color": "orange"
}'
resend inboxes labels update \
--inbox_id b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 \
--label_id 7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34 \
--color orange
{
"object": "inbox_label",
"id": "7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34"
}
Was this page helpful?
⌘I